com.oracle.truffle.object.basic

## Class BasicLocations.PrimitiveLocationDecorator

- java.lang.Object
- - com.oracle.truffle.api.object.Location
  - - com.oracle.truffle.object.LocationImpl
    - - com.oracle.truffle.object.basic.BasicLocations.PrimitiveLocationDecorator

All Implemented Interfaces:
  BaseLocation

Direct Known Subclasses:
  BasicLocations.BooleanLocationDecorator, BasicLocations.DoubleLocationDecorator, BasicLocations.IntLocationDecorator, BasicLocations.LongLocationDecorator

Enclosing class:
  BasicLocations

    public abstract static class BasicLocations.PrimitiveLocationDecorator
    extends LocationImpl

### Nested Class Summary

### Nested classes/interfaces inherited from class com.oracle.truffle.object.LocationImpl

`LocationImpl.EffectivelyFinalLocation<T extends Location>, LocationImpl.InternalLongLocation, LocationImpl.TypedObjectLocation<T extends Location & ObjectLocation>`

### Constructor Summary

Constructors
Constructor and Description
`BasicLocations.PrimitiveLocationDecorator(LocationImpl.InternalLongLocation longLocation)`

### Method Summary

Methods
`long` `getLong(DynamicObject store, boolean condition)`
`long` `getLong(DynamicObject store, Shape shape)`
`int` `primitiveArrayCount()` Get the number of primitive array elements this location requires.
`int` `primitiveFieldCount()` Get the number of in-object primitive fields this location requires.
`void` `setLong(DynamicObject store, long value)`
`void` `setLong(DynamicObject store, long value, Shape shape)`
`void` `setLongInternal(DynamicObject store, long value)`

### Methods inherited from class com.oracle.truffle.object.LocationImpl

`canSet, canStore, canStoreFinal, equals, getInternal, getWhereString, hashCode, isConstant, isFinal, objectArrayCount, objectFieldCount, set, setInternal, toString, valueEquals`

### Methods inherited from class com.oracle.truffle.api.object.Location

`checkShape, finalLocation, get, get, incompatibleLocation, set, set`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BasicLocations.PrimitiveLocationDecorator

    public BasicLocations.PrimitiveLocationDecorator(LocationImpl.InternalLongLocation longLocation)

### Method Detail

#### getLong

    public final long getLong(DynamicObject store,
               Shape shape)

#### getLong

    public final long getLong(DynamicObject store,
               boolean condition)

#### setLong

    public final void setLong(DynamicObject store,
               long value,
               Shape shape)
                       throws FinalLocationException

Throws:
  `FinalLocationException`

#### setLong

    public final void setLong(DynamicObject store,
               long value)
                       throws FinalLocationException

Throws:
  `FinalLocationException`

#### setLongInternal

    public final void setLongInternal(DynamicObject store,
                       long value)

#### primitiveFieldCount

    public final int primitiveFieldCount()

Description copied from class: `LocationImpl`
Get the number of in-object primitive fields this location requires.

Overrides:
  `primitiveFieldCount` in class `LocationImpl`

#### primitiveArrayCount

    public final int primitiveArrayCount()

Description copied from class: `LocationImpl`
Get the number of primitive array elements this location requires.

Overrides:
  `primitiveArrayCount` in class `LocationImpl`